Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15990

Description

Hi all, 

when generating batch pdf with Atlas, if a map has an overview frame set with transparent fill, then pdf are corrupted. 

With adobe reader, opening pdf is impossible (raise error 14). Foxit reader opens pdf but overview frame are no more transparent.

I found a workaround with setting no fill in overview frame style, but it is a caveat since default style has a fill and generates corrupted

pdfs.

Régis

Associated revisions

Revision 7db1b607 - 2013-03-04 03:33 PM - Hugo Mercier

refs #7263

refs #6856

Reset QPrinter to circumvent PDF corruption bug

History

#1 - 2012-12-11 06:40 AM - Regis Haubourg

New tests, and we again have an inconsistent behaviour... In other situations, overview frame have nothing to do with pdf export problems.. 

I keep on testing.

#2 - 2012-12-11 07:22 AM - Regis Haubourg

a new clue: Problem only affects vector export.

#3 - 2012-12-12 01:55 AM - Hugo Mercier

Hi,

Does it work ok without atlas generation ?

I've just produced a pdf with an atlas from a vector layer and with a transparent overview, and it works fine with Evince (Linux) and Adobe reader 10.1.14

under Windows. The pdf has been generated from a Linux version of QGIS.

Can you add here the corrupted pdf you obtain (there might be differences in the way pdf are generated by Qt under Windows) ?
#4 - 2012-12-12 02:00 AM - Regis Haubourg

- File carte_EPCI_63.pdf added

Hi Hugo,

I've never reproduced this problem outside Atlas use-case. Please find attached a corrupted pdf. I use Adobe reader 9.5.2 and Foxit 5.4.3.0920. Windows

XP 32 bits. 

Hope it helps

#5 - 2012-12-12 02:29 AM - Hugo Mercier

Ok, I can reproduce the problem. Adobe reader gets an error. xpdf on linux crashes.

The overview frame with evince is not transparent.

#6 - 2012-12-12 06:11 AM - Alessandro Ciali

I suggest to look also at Bug #6741, that I opened about a month ago.

Good bye

#7 - 2012-12-30 09:51 AM - Giovanni Manghi

- Priority changed from High to Normal

#8 - 2013-01-28 10:52 AM - Olivier Dalang

Same problem with labels here, when labels have transparent background.

Note that the first exported file (the PDF corresponding to the first feature) is exported well...

#9 - 2013-01-28 07:24 PM - Olivier Dalang

- % Done changed from 0 to 80

Here's a bugfix :

https://github.com/olivierdalang/Quantum-GIS/tree/bugfix_6856

I'm a newbie in C++ programming, and my fix doesn't seem very elegant to me... It would be nice if someone could confirm if it's acceptable.

#10 - 2013-03-21 03:34 AM - Regis Haubourg

- % Done changed from 80 to 100

- Status changed from Open to Closed

Hi all, 

I couldn't reproduce problems now. Please reopen if necessary

Files
carte_EPCI_63.pdf 1.84 MB 2012-12-12 Regis Haubourg
